## ros-melodic-husky-gazebo 0.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_gazebo)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch)

install(
  DIRECTORY launch worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-husky-gazebo (0.4.5-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Oct 2020 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.4-1stretch) stretch; urgency=high

  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Enable teleop in the Husky simulation
  * Removed Paul Bovbel as maintainer.
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.3-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.2-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-melodic-husky-gazebo (0.4.1-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.0-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.4-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.3-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.2-1stretch) stretch; urgency=high

  * Added Z to spawn husky launch
  * Contributors: Dave Niewinski

 -- Paul Bovbel <paul@bovbel.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.1-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.0-1stretch) stretch; urgency=high

  * Fixed typo in URLs.
  * Corrected the kinect scan topic name so it matches the laser scanner topic name.
  * description.launch should be launched only once when the flag multimaster is false.
    This commit fixes #47 <https://github.com/husky/husky/issues/47>.
    Also delete the urdf subdirectory from the installation list of the package husky_gazebo
    since the directory doesn't exist.
    HOW BUILT
    $ catkin_make_isolated --install --use-ninja
    HOW VERIFIED
    $ roslaunch husky_gazebo husky_playpen.launch
    $ roslaunch husky_viz view_robot.launch
    Verify that the LiDAR is present on the gazebo husky and works as expected.
    Change-Id: I8797d561489250417dc8fe2b49d958993ca7949c
    Signed-off-by: Wei Ren <mailto:renwei@smartconn.cc>
  * Remove defunct email address
  * Updated maintainers.
  * Temp commit
  * Add interface definitions
  * Update bringup for multirobot
  * Purge more UR; Implement urdf_extras
  * Update URDF for multirobot
  * Move packages into monorepo for kinetic; strip out ur packages
  * Contributors: Farzad Niroui, Paul Bovbel, Tony Baltovski, Wei Ren

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-melodic-husky-gazebo (0.2.6-1stretch) stretch; urgency=high

  * spawn_husky.launch: enable to use custom controller files, i.e effort controller
  * spawn_husky.launch: support argument to set urdf file and initial pose
  * Contributors: Kei Okada

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Oct 2016 04:00:00 -0000

ros-melodic-husky-gazebo (0.2.5-1stretch) stretch; urgency=high

  * Removed duplicate SICK laser plugin in husky_gazebo, since husky_description already contains a SICK laser plugin from the lms package.
  * Contributors: Peiyi Chen

 -- Paul Bovbel <paul@bovbel.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-melodic-husky-gazebo (0.2.4-1stretch) stretch; urgency=high

  * Add pointcloud to laserscan config for simulated kinect
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-melodic-husky-gazebo (0.2.3-1stretch) stretch; urgency=high

  * Fix conflict with underlay
    When using -z check, underlayed instances of husky_gazebo would override overlays.
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 13 Apr 2015 04:00:00 -0000

ros-melodic-husky-gazebo (0.2.2-1stretch) stretch; urgency=high

  * Reduce physics update rate
  * Integrate husky_customization workflow
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-melodic-husky-gazebo (0.2.1-1stretch) stretch; urgency=high

  * Fix package urls
  * Add missing dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-gazebo (0.2.0-1stretch) stretch; urgency=high

  * Refactor URDF
  * Add UR5 and Kinect simulation
  * Contributors: Paul Bovbel, TheDash

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-gazebo (0.1.4-1stretch) stretch; urgency=high

  * Add missing dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Feb 2015 05:00:00 -0000

ros-melodic-husky-gazebo (0.1.3-1stretch) stretch; urgency=high

  * Fix installing
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-melodic-husky-gazebo (0.1.2-1stretch) stretch; urgency=high

  * Update authors
  * Add missing dependency
  * Reduce sensor range
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-melodic-husky-gazebo (0.1.1-1stretch) stretch; urgency=high

  * Remove multirobot prefixing, experiment later
  * Contributors: Paul Bovbel



=== debian/control ===
Source: ros-melodic-husky-gazebo
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: http://ros.org/wiki/husky_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-husky-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-manager, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-hector-gazebo-plugins, ros-melodic-husky-control, ros-melodic-husky-description, ros-melodic-multimaster-launch, ros-melodic-pointcloud-to-laserscan, ros-melodic-rostopic
Description: Clearpath Husky Simulator bringup

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-husky-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-husky-gazebo 0.4.13

=== debian/changelog ===
ros-melodic-husky-gazebo (0.4.13-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-melodic-husky-gazebo (0.4.12-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 17 Jan 2022 05:00:00 -0000

ros-melodic-husky-gazebo (0.4.11-1bionic) bionic; urgency=high

  * Update spawn_husky.launch
    I think the robot spawn should be like this
  * Contributors: Guido Sanchez

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 14 Jan 2022 05:00:00 -0000

ros-melodic-husky-gazebo (0.4.10-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 18 Jul 2021 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.9-1bionic) bionic; urgency=high

  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 15 Jul 2021 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.8-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Apr 2021 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.7-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.6-1bionic) bionic; urgency=high

  * Add VLP16, secondary LMS1xx support (#164 <https://github.com/husky/husky/issues/164>)
    * Minimal refactor to add VLP16 + secondary LMS1xx support. Update defaults for the laser_enabled and realsense_enabled args to refer to the underlying envars to improve consistency when launching simulations. Modify the sensor bar to allow it to be positioned in the center by default, but with configurable xyz and rpy offsets
    * Add the new run dependencies
    * Remove the prefix's trailing underscore in the vlp16 mount to make it consistent. Fix an inconsistent envar for the sensor arch, add an arg to explicitly enable it, to stay internally consistent with the rest of Husky.
    * Fix the envars; its just HUSKY_LMS1XX, not HUSKY_LASER_LMS1XX
    * Revert to enabling the main laser by default in the simulations, add the velodyne_gazebo_plugins dependency
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-melodic-husky-gazebo (0.4.5-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Oct 2020 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.4-1bionic) bionic; urgency=high

  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Enable teleop in the Husky simulation
  * Removed Paul Bovbel as maintainer.
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.3-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.2-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-melodic-husky-gazebo (0.4.1-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.4.0-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.4-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.3-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.2-1bionic) bionic; urgency=high

  * Added Z to spawn husky launch
  * Contributors: Dave Niewinski

 -- Paul Bovbel <paul@bovbel.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.1-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-husky-gazebo (0.3.0-1bionic) bionic; urgency=high

  * Fixed typo in URLs.
  * Corrected the kinect scan topic name so it matches the laser scanner topic name.
  * description.launch should be launched only once when the flag multimaster is false.
    This commit fixes #47 <https://github.com/husky/husky/issues/47>.
    Also delete the urdf subdirectory from the installation list of the package husky_gazebo
    since the directory doesn't exist.
    HOW BUILT
    $ catkin_make_isolated --install --use-ninja
    HOW VERIFIED
    $ roslaunch husky_gazebo husky_playpen.launch
    $ roslaunch husky_viz view_robot.launch
    Verify that the LiDAR is present on the gazebo husky and works as expected.
    Change-Id: I8797d561489250417dc8fe2b49d958993ca7949c
    Signed-off-by: Wei Ren <mailto:renwei@smartconn.cc>
  * Remove defunct email address
  * Updated maintainers.
  * Temp commit
  * Add interface definitions
  * Update bringup for multirobot
  * Purge more UR; Implement urdf_extras
  * Update URDF for multirobot
  * Move packages into monorepo for kinetic; strip out ur packages
  * Contributors: Farzad Niroui, Paul Bovbel, Tony Baltovski, Wei Ren

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-melodic-husky-gazebo (0.2.6-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-melodic-husky-gazebo
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: http://ros.org/wiki/husky_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-husky-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-manager, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-hector-gazebo-plugins, ros-melodic-husky-control, ros-melodic-husky-description, ros-melodic-multimaster-launch, ros-melodic-pointcloud-to-laserscan, ros-melodic-rostopic, ros-melodic-velodyne-gazebo-plugins
Description: Clearpath Husky Simulator bringup

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
